BizKitHub
DocsAPI ReferenceLedger/bff/ledger/journal/post
postLedgerAdmin BFF

/bff/ledger/journal/post

Post a draft

LedgerpostBffLedgerJournalPost

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Journal entry external id.

Length: 24–24
rowVersionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–∞

Response schema

1 status code documented

200Success
successbooleanRequired
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/journal/post

post
curl -X POST "https://api.bizkithub.com/bff/ledger/journal/post" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key